Hardware and software requirements

3 July 2024

ID 173470

Minimum hardware requirements for servers used for installing Kaspersky Web Traffic Security

  • 8 processor cores
  • 16 GB RAM
  • Swap partition of at least 4 GB
  • 200 GB of hard drive space, which includes:
    • 25 GB for temporary file storage
    • 25 GB for log file storage

Minimum hardware requirements for the server hosting a hypervisor for deployment of a virtual machine ISO image

If the server has less than 1 GB of RAM or less than 100 GB of disk space, installation is canceled.

  • 8 processor cores
  • 16 GB RAM
  • 200 GB of disk space

The software requirements below list the lowest tested versions of software products required for the installation of Kaspersky Web Traffic Security.

Software requirements for servers used for installing Kaspersky Web Traffic Security

Kaspersky Web Traffic Security can only be installed on 64-bit operating systems.

  • Red Hat Enterprise Linux versions 7.7, 8.
  • Ubuntu 18.04.3 LTS.
  • Debian 9.11, 10.1.
  • SUSE Linux Enterprise Server 15 SP1.
  • CentOS version 7.7.
  • ALT Server 10.

Software requirements for enterprise LAN computers

  • Windows 8.1.
  • Windows 10 (1809, 1903).

Software requirements for the hypervisor for deployment of the virtual machine

  • VMware ESXi 6.5 Update 2 / 6.7 Update 1.
  • Microsoft Hyper-V Server 2016 / 2019.

Software requirements for configuring integration with an LDAP server

  • Windows Server 2012 R2 Standard.
  • Windows Server 2016 Standard.
  • Windows Server 2019 Standard.

Additional requirements

  • Nginx versions 1.10.3, 1.12.2 and 1.14.0.
  • Load Balancing HAProxy version 1.5 (not included in the distribution kit).
  • Squid versions 3.5.28, 4.6, 4.7, 4.8, if you are installing the Squid service and Kaspersky Web Traffic Security on the same server.

    For Kaspersky Web Traffic Security to process the traffic of your network, you must install and configure a HTTP(S) proxy server that supports ICAP and Request Modification (REQMOD) and Response Modification (RESPMOD) services. You can use a separate proxy server or, for example, install the Squid service on the server hosting Kaspersky Web Traffic Security.

Software requirements for managing Kaspersky Web Traffic Security via the web interface

To run the web interface, one of the following browsers must be installed on the computer:

  • Mozilla Firefox versions 69, 70.
  • Internet Explorer version 11.
  • Google Chrome versions 77, 78.
  • Microsoft Edge version 44 (Microsoft Edge 44.17763.1.0 for Windows 1809 and Microsoft Edge 44.18362.1.0 for Windows 1903).

See also

Kaspersky Web Traffic Security

Distribution kit

What's new

Interface of Kaspersky Web Traffic Security

Operation of the application

Did you find this article helpful?
What can we do better?
Thank you for your feedback! You're helping us improve.
Thank you for your feedback! You're helping us improve.